%define url_ver	%(echo %{version}|cut -d. -f1,2)

%define major 2
%define libname %mklibname mate-menu %{major}
%define develname %mklibname -d mate-menu

%define gi_major 2.0
%define girname %mklibname mate-menu-gir %{gi_major}

Summary:        MATE menu library
Name:           mate-menus
Version:        1.18.0
Release:        %mkrel 2
License:        GPLv2+ and LGPLv2+
URL:            http://mate-desktop.org
Group:          System/Libraries
Source0:        http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
# (fc) 2.16.0-2mdv unclutter preferences/settings menu
Patch0:         mate-menus-1.6.0-mga-uncluttermenu.patch
Patch1:         mate-menus-1.6.0-mga-l10n.patch

BuildRequires:  mate-common
BuildRequires:  pkgconfig(glib-2.0) >= 2.36.0
BuildRequires:  pkgconfig(gio-2.0) >= 2.15.2
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.6.7
BuildRequires:  pkgconfig(python-2.7)

Requires: matemenu-layout >= %{version}-%{release}

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the MATE menu layout configuration files,
.directory files and assorted menu related utility programs.

%package -n python-%{name}
Group:      Development/Python
Summary:    Module to access XDG menu

%description -n python-%{name}
Python module to access XDG menu.

%package -n %{libname}
Group:      System/Libraries
Summary:    MATE menu library
Conflicts:  gir-repository < 0.6.5-8

%description -n %{libname}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%package -n %{girname}
Summary:    GObject Introspection interface description for %{name}
Group:      System/Libraries
Requires:   %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n matemenu-vanilla-layout
Group:      Graphical desktop/MATE
Summary:    MATE Desktop vanilla menu layout
Requires:   %{name} = %{version}-%{release}
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides:   matemenu-layout = %{version}-%{release}
Conflicts:  matemenu-mageia-layout

%description -n matemenu-vanilla-layout
This package contains upstream mate menu layout.
If you want to Mageia branded menu layout please
install matemenu-mageia-layout package

%package -n matemenu-mageia-layout
Group:      Graphical desktop/MATE
Summary:    MATE Desktop Mageia branded menu layout
Requires:   %{name} = %{version}-%{release}
Requires:   desktop-common-data
Requires(post): update-alternatives
Requires(postun): update-alternatives
Provides:   matemenu-layout = %{version}-%{release}
Conflicts:  matemenu-vanilla-layout

%description -n matemenu-mageia-layout
This package contains Mageia branded mate menu layout.
If you want to upstream vanilla menu layout please
install matemenu-vanilla-layout package

%package -n %{develname}
Group:      Development/C
Summary:    MATE menu library development files
Requires:   %{libname} = %{version}-%{release}
Requires:   %{girname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{develname}
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%prep
%autosetup -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
      --disable-static \
      --enable-python \
      --enable-introspection=yes
%make_build

%install
%make_install

# Move mate menu layout to new name
mv -f %{buildroot}%{_sysconfdir}/xdg/menus/mate-applications.menu %{buildroot}%{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu

find %{buildroot} -name "*.la" -delete

%find_lang %name --with-gnome --all-name

%post -n matemenu-vanilla-layout
if [ $1 = 1 ]; then
    if [ -e %{_sysconfdir}/xdg/menus/mate-applications.menu ] && ! [ -L %{_sysconfdir}/xdg/menus/mate-applications.menu ]; then
	    rm -fr %{_sysconfdir}/xdg/menus/mate-applications.menu
    fi
    
    update-alternatives --install \
        %{_sysconfdir}/xdg/menus/mate-applications.menu matemenu \
        %{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu 9
fi

%postun -n matemenu-vanilla-layout
if [ $1 = 0 ]; then
    if ! [ -e %{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu ]; then
         update-alternatives --remove matemenu  %{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu
    fi
fi

%post -n matemenu-mageia-layout
if [ $1 = 1 ]; then
    if [ -e %{_sysconfdir}/xdg/menus/mate-applications.menu ] && ! [ -L %{_sysconfdir}/xdg/menus/mate-applications.menu ]; then
	    rm -fr %{_sysconfdir}/xdg/menus/mate-applications.menu
    fi
    
    update-alternatives --install \
        %{_sysconfdir}/xdg/menus/mate-applications.menu matemenu \
        %{_sysconfdir}/xdg/menus/applications.menu 9
fi

%postun -n matemenu-mageia-layout
if [ $1 = 0 ]; then
# Special case, applications.menu is always there because desktop-common-data always installed on default Mageia
# setups. So, remove symlink regardless of its existance.
         update-alternatives --remove matemenu  %{_sysconfdir}/xdg/menus/applications.menu
fi

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%dir %{_sysconfdir}/xdg/menus
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-preferences-categories.menu
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-settings.menu
%{_datadir}/%{name}/
%dir %{_datadir}/mate/desktop-directories/
%{_datadir}/mate/desktop-directories/mate-*.directory

%files -n python-%{name}
%{python_sitearch}/*

%files -n %{libname}
%{_libdir}/libmate-menu.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/MateMenu-%{gi_major}.typelib

%files -n matemenu-vanilla-layout
%config(noreplace) %{_sysconfdir}/xdg/menus/mate-vanilla-applications.menu
%{_datadir}/mate/desktop-directories/mate-menu-applications.directory
%ghost %{_sysconfdir}/xdg/menus/mate-applications.menu

%files -n matemenu-mageia-layout
%ghost %{_sysconfdir}/xdg/menus/mate-applications.menu

%files -n %{develname}
%{_libdir}/libmate-menu.so
%{_includedir}/mate-menus
%{_libdir}/pkgconfig/libmate-menu.pc
%{_datadir}/gir-1.0/MateMenu-%{gi_major}.gir


%changelog
* Fri Apr 28 2017 luigiwalser <luigiwalser> 1.18.0-2.mga6
+ Revision: 1097929
- add requires for scriplets

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092571
- Update to 1.18.0 version
- Update to 1.17.0 version

* Fri Dec 30 2016 tarakbumba <tarakbumba> 1.16.0-2.mga6
+ Revision: 1078639
- Fix applications menu missing when upgrading from Mga5 (mga#18913)

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074703
- new version 1.16.0

* Tue May 03 2016 tarakbumba <tarakbumba> 1.14.0-2.mga6
+ Revision: 1009053
- Provide mageia menu layout and vanilla mate layout in seperate packages

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001206
- Update to 1.14.0 version

* Mon Feb 08 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942455
- Update to 1.13.0 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898504
-Update to 1.12.0 version

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837227
- Update to 1.10.0 version

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0-5.mga5
+ Revision: 746721
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.8.0-4.mga5
+ Revision: 727159
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 1.8.0-3.mga5
+ Revision: 724940
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0-2.mga5
+ Revision: 682194
- Mageia 5 Mass Rebuild

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600088
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598048
- Update to 1.7.x version

* Tue Jan 21 2014 tarakbumba <tarakbumba> 1.6.0-4.mga4
+ Revision: 567265
- Do not move .menu files into subdir, it breaks mintmenu.
- Add improved l10n support

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531051
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461741
- remove duplicate BuildRequires and Suggests

  + tarakbumba <tarakbumba>
    - imported package mate-menus

